---
title: Model Views Test Cases
description: No Fuss Computings model views unit tests
date: 2024-07-13
template: project.html
about: https://gitlab.com/nofusscomputing/infrastructure/configuration-management/centurion_erp
---

Below are the test cases for the model views.


## All Views

::: app.app.tests.abstract.views.AllViews
    options:
        heading_level: 3
        show_source: true
        inherited_members: true


## Add View

::: app.app.tests.abstract.views.AddView
    options:
        heading_level: 3
        show_source: true
        inherited_members: true


## Change View

::: app.app.tests.abstract.views.ChangeView
    options:
        heading_level: 3
        show_source: true
        inherited_members: true


## Delete View

::: app.app.tests.abstract.views.DeleteView
    options:
        heading_level: 3
        show_source: true
        inherited_members: true


## Display View

::: app.app.tests.abstract.views.DisplayView
    options:
        heading_level: 3
        show_source: true
        inherited_members: true


## Index View

::: app.app.tests.abstract.views.IndexView
    options:
        heading_level: 3
        show_source: true
        inherited_members: true
